Package be.ehealth.technicalconnector.exception

# Class SessionManagementException

java.lang.Object
java.lang.Throwable
java.lang.Exception
be.ehealth.technicalconnector.exception.ConnectorException
be.ehealth.technicalconnector.exception.TechnicalConnectorException
be.ehealth.technicalconnector.exception.SessionManagementException

All Implemented Interfaces:
  `Serializable`

public class SessionManagementException extends TechnicalConnectorException
The Class SessionManagementException.

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SessionManagementException(SessionManagementExceptionValues errorCodeValue, Object... params)`
  Creates a new SessionManagementException
  `SessionManagementException(SessionManagementExceptionValues errorCodeValue, Throwable e, Object... params)`
  Creates a new SessionManagementException

- ## Method Summary

  ### Methods inherited from class be.ehealth.technicalconnector.exception.TechnicalConnectorException

  `getCategory`

  ### Methods inherited from class be.ehealth.technicalconnector.exception.ConnectorException

  `getErrorCode`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### SessionManagementException

    public SessionManagementException(SessionManagementExceptionValues errorCodeValue, Object... params)
    Creates a new SessionManagementException
    Parameters:
      `errorCodeValue` - an entry from SessionManagementExceptionValues enumeration
      `params` - the strings that complete the errorCodeValue message

  - ### SessionManagementException

    public SessionManagementException(SessionManagementExceptionValues errorCodeValue, Throwable e, Object... params)
    Creates a new SessionManagementException
    Parameters:
      `errorCodeValue` - an entry from SessionManagementExceptionValues enumeration
      `e` - the initial exception
      `params` - the strings that complete the errorCodeValue message